﻿using System.Collections.Generic;
using System.ServiceModel;
using System.ServiceModel.Activation;

namespace jQueryMVC {
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "MovieService" in code, svc and config file together.
    [ServiceBehavior (InstanceContextMode = InstanceContextMode.Single, // singleton
                      ConcurrencyMode = ConcurrencyMode.Multiple, IncludeExceptionDetailInFaults = true)]  // our class implementation MUST be thread-safe
    [AspNetCompatibilityRequirements (RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
    public class MovieService : IMovieService {
        public IList<Movie> GetMovies () {
            return new List<Movie> () {
                new Movie() {Id=100, Name="E.T.", Director="Steven Spielberg", ReleaseDate="1982"},
                new Movie() {Id=100, Name="The Green Mile", Director="Frank Darabont", ReleaseDate="1999"}
            };
        }
    }
}
