﻿using System.Collections.Generic;
using System.ServiceModel;
using System.ServiceModel.Web;

namespace jQueryMVC {
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "IMovieService" in both code and config file together.
    [ServiceContract]
    public interface IMovieService {
        [OperationContract]
        [WebGet (ResponseFormat = WebMessageFormat.Json)]
        IList<Movie> GetMovies ();
    }
    public class Movie {
        public int Id { get; set; }
        public string Name { get; set; }
        public string Director { get; set; }
        public string ReleaseDate { get; set; }
        public string IMDBUserRating { get; set; }
        public string Plot { get; set; }
        public string ImageURL { get; set; }
    }
}
