﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Home Page
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2><%: ViewData["Message"] %></h2>
    <table id="list"></table>
    <div id="pager"></div>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="HeadContent" runat="server">
<script type="text/javascript">
    //<![CDATA[
    jQuery(document).ready(function () {
        jQuery("#list").jqGrid({
            //url: '<%= Url.Content("~/GetMovies.txt")%>',
            url: '<%= Url.Content("~/MovieService.svc/GetMovies")%>',
            datatype: 'json',
            ajaxGridOptions: { contentType: "application/json" },
            jsonReader: { repeatitems: false, id: "Id", root: function (obj) { return obj; } },
            headertitles: true,
            sortable: true,
            colNames: ['Movie Name', 'Directed By', 'Release Date',
               'IMDB Rating', 'Plot', 'ImageURL'],
            colModel: [
                { name: 'Name', width: 250 },
                { name: 'Director', width: 250, align: 'right' },
                { name: 'ReleaseDate', width: 100, align: 'right' },
                { name: 'IMDBUserRating', width: 100, align: 'right' },
                { name: 'Plot', width: 150 },
                { name: 'ImageURL', width: 55, hidden: true }
            ],
            pager: jQuery('#pager'),
            pginput: false,
            pgbuttons: false,
            rowNum: 0,
            height: '100%',
            viewrecords: true,
            rownumbers: true,
            caption: 'Movies from 2008!'
        }).jqGrid('navGrid', '#pager', { add: false, edit: false, del: false, search: false }).jqGrid('gridResize');
    });
    //]]>
</script>
</asp:Content>
